# BasePluginConvention

API Documentation: | `BasePluginConvention`

A `Convention` used for the BasePlugin.

### Properties

Property | Description
`archivesBaseName` | The base name to use for archive files.
`distsDir` | The directory to generate TAR and ZIP archives into.
`distsDirName` | The name for the distributions directory. This in interpreted relative to the project' build directory.
`libsDir` | The directory to generate JAR and WAR archives into.
`libsDirName` | The name for the libs directory. This in interpreted relative to the project' build directory.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### `String` `archivesBaseName`

The base name to use for archive files.

Default with `java` plugin:
  `project.name`

#### `File` `distsDir` (read-only)

The directory to generate TAR and ZIP archives into.

Default with `java` plugin:
  ``${project.buildDir}`/`${project.distsDirName}``

#### `String` `distsDirName`

The name for the distributions directory. This in interpreted relative to the project' build directory.

Default with `java` plugin:
  `'distributions'`

#### `File` `libsDir` (read-only)

The directory to generate JAR and WAR archives into.

Default with `java` plugin:
  ``${project.buildDir}`/`${project.libsDirName}``

#### `String` `libsDirName`

The name for the libs directory. This in interpreted relative to the project' build directory.

Default with `java` plugin:
  `'libs'`